From 865d0435501bfe651ba5f88c739b1c37c36a20e6 Mon Sep 17 00:00:00 2001
From: "H. Nikolaus Schaller" <hns@goldelico.com>
Date: Tue, 3 Sep 2019 08:05:42 +0200
Subject: [PATCH 1/2] ARM: DTS: Pyra: invert logic of lid sensor

It seems to be standard that it resembles a button that is pressed
when the lid is closed.

Signed-off-by: H. Nikolaus Schaller <hns@goldelico.com>
---
 arch/arm/boot/dts/pyra-mainboard-v5.0.dtsi | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/arch/arm/boot/dts/pyra-mainboard-v5.0.dtsi b/arch/arm/boot/dts/pyra-mainboard-v5.0.dtsi
index cb97715d1e45..2eb21fe9990a 100644
--- a/arch/arm/boot/dts/pyra-mainboard-v5.0.dtsi
+++ b/arch/arm/boot/dts/pyra-mainboard-v5.0.dtsi
@@ -756,7 +756,7 @@
 			label = "Display Lid";
 			linux,input-type = <EV_SW>;
 			linux,code = <SW_LID>;
-			gpios = <&gpio1 6 GPIO_ACTIVE_HIGH>;	/* gpio1_wk6 */
+			gpios = <&gpio1 6 GPIO_ACTIVE_LOW>;	/* gpio1_wk6 */
 			gpio-key,wakeup;
 		};
 
-- 
2.19.1

